import request from '@/utils/request'

// 查询金额明细列表
export function listAppletAmountLog(query) {
  return request({
    url: '/model/AppletAmountLog/list',
    method: 'get',
    params: query
  })
}

// 查询金额明细详细
export function getAppletAmountLog(id) {
  return request({
    url: '/model/AppletAmountLog/' + id,
    method: 'get'
  })
}

// 新增金额明细
export function addAppletAmountLog(data) {
  return request({
    url: '/model/AppletAmountLog',
    method: 'post',
    data: data
  })
}

// 修改金额明细
export function updateAppletAmountLog(data) {
  return request({
    url: '/model/AppletAmountLog',
    method: 'put',
    data: data
  })
}

// 删除金额明细
export function delAppletAmountLog(id) {
  return request({
    url: '/model/AppletAmountLog/' + id,
    method: 'delete'
  })
}

// 导出金额明细
export function exportAppletAmountLog(query) {
  return request({
    url: '/model/AppletAmountLog/export',
    method: 'get',
    params: query
  })
}

// 审核金额明细
export function auditAppletAmountLog(data) {
  return request({
    url: '/model/AppletAmountLog/audit',
    method: 'post',
    data: data
  })
}
